Index: src/UIElements/CommandLineUI/CommandLineDialog.cpp
===================================================================
--- src/UIElements/CommandLineUI/CommandLineDialog.cpp	(revision 77b2d7c74ef5d3d1f96600b9768c905b445340ac)
+++ src/UIElements/CommandLineUI/CommandLineDialog.cpp	(revision e6317b4b368fa20de1aaa2983bd1421caecd6287)
@@ -6,4 +6,5 @@
  */
 
+#include "Helpers/MemDebug.hpp"
 
 #include <iostream>
Index: src/UIElements/CommandLineUI/CommandLineStatusIndicator.cpp
===================================================================
--- src/UIElements/CommandLineUI/CommandLineStatusIndicator.cpp	(revision 77b2d7c74ef5d3d1f96600b9768c905b445340ac)
+++ src/UIElements/CommandLineUI/CommandLineStatusIndicator.cpp	(revision e6317b4b368fa20de1aaa2983bd1421caecd6287)
@@ -6,4 +6,5 @@
  */
 
+#include "Helpers/MemDebug.hpp"
 
 #include "CommandLineUI/CommandLineStatusIndicator.hpp"
@@ -15,5 +16,6 @@
 using namespace std;
 
-CommandLineStatusIndicator::CommandLineStatusIndicator()
+CommandLineStatusIndicator::CommandLineStatusIndicator() :
+    Observer("CommandLineStatusIndicator")
 {
   Process::AddObserver(this);
Index: src/UIElements/CommandLineUI/CommandLineUIFactory.cpp
===================================================================
--- src/UIElements/CommandLineUI/CommandLineUIFactory.cpp	(revision 77b2d7c74ef5d3d1f96600b9768c905b445340ac)
+++ src/UIElements/CommandLineUI/CommandLineUIFactory.cpp	(revision e6317b4b368fa20de1aaa2983bd1421caecd6287)
@@ -6,4 +6,5 @@
  */
 
+#include "Helpers/MemDebug.hpp"
 
 #include "CommandLineUI/CommandLineUIFactory.hpp"
Index: src/UIElements/CommandLineUI/CommandLineWindow.cpp
===================================================================
--- src/UIElements/CommandLineUI/CommandLineWindow.cpp	(revision 77b2d7c74ef5d3d1f96600b9768c905b445340ac)
+++ src/UIElements/CommandLineUI/CommandLineWindow.cpp	(revision e6317b4b368fa20de1aaa2983bd1421caecd6287)
@@ -5,4 +5,6 @@
  *      Author: heber
  */
+
+#include "Helpers/MemDebug.hpp"
 
 #include <boost/bind.hpp>
Index: src/UIElements/Dialog.cpp
===================================================================
--- src/UIElements/Dialog.cpp	(revision 77b2d7c74ef5d3d1f96600b9768c905b445340ac)
+++ src/UIElements/Dialog.cpp	(revision e6317b4b368fa20de1aaa2983bd1421caecd6287)
@@ -5,4 +5,6 @@
  *      Author: crueger
  */
+
+#include "Helpers/MemDebug.hpp"
 
 #include <cassert>
Index: src/UIElements/MainWindow.cpp
===================================================================
--- src/UIElements/MainWindow.cpp	(revision 77b2d7c74ef5d3d1f96600b9768c905b445340ac)
+++ src/UIElements/MainWindow.cpp	(revision e6317b4b368fa20de1aaa2983bd1421caecd6287)
@@ -5,4 +5,6 @@
  *      Author: crueger
  */
+
+#include "Helpers/MemDebug.hpp"
 
 #include "MainWindow.hpp"
Index: src/UIElements/Menu/ActionMenuItem.cpp
===================================================================
--- src/UIElements/Menu/ActionMenuItem.cpp	(revision 77b2d7c74ef5d3d1f96600b9768c905b445340ac)
+++ src/UIElements/Menu/ActionMenuItem.cpp	(revision e6317b4b368fa20de1aaa2983bd1421caecd6287)
@@ -5,4 +5,6 @@
  *      Author: crueger
  */
+
+#include "Helpers/MemDebug.hpp"
 
 #include <iostream>
Index: src/UIElements/Menu/DisplayMenuItem.cpp
===================================================================
--- src/UIElements/Menu/DisplayMenuItem.cpp	(revision 77b2d7c74ef5d3d1f96600b9768c905b445340ac)
+++ src/UIElements/Menu/DisplayMenuItem.cpp	(revision e6317b4b368fa20de1aaa2983bd1421caecd6287)
@@ -5,4 +5,6 @@
  *      Author: crueger
  */
+
+#include "Helpers/MemDebug.hpp"
 
 #include <sstream>
Index: src/UIElements/Menu/Menu.cpp
===================================================================
--- src/UIElements/Menu/Menu.cpp	(revision 77b2d7c74ef5d3d1f96600b9768c905b445340ac)
+++ src/UIElements/Menu/Menu.cpp	(revision e6317b4b368fa20de1aaa2983bd1421caecd6287)
@@ -5,4 +5,6 @@
  *      Author: crueger
  */
+
+#include "Helpers/MemDebug.hpp"
 
 #include "Menu.hpp"
Index: src/UIElements/Menu/MenuItem.cpp
===================================================================
--- src/UIElements/Menu/MenuItem.cpp	(revision 77b2d7c74ef5d3d1f96600b9768c905b445340ac)
+++ src/UIElements/Menu/MenuItem.cpp	(revision e6317b4b368fa20de1aaa2983bd1421caecd6287)
@@ -6,5 +6,5 @@
  */
 
-
+#include "Helpers/MemDebug.hpp"
 
 #include "Menu/MenuItem.hpp"
Index: src/UIElements/Menu/SeperatorItem.cpp
===================================================================
--- src/UIElements/Menu/SeperatorItem.cpp	(revision 77b2d7c74ef5d3d1f96600b9768c905b445340ac)
+++ src/UIElements/Menu/SeperatorItem.cpp	(revision e6317b4b368fa20de1aaa2983bd1421caecd6287)
@@ -5,4 +5,7 @@
  *      Author: crueger
  */
+
+#include "Helpers/MemDebug.hpp"
+
 #include <string>
 #include <sstream>
Index: src/UIElements/Menu/SubMenuItem.cpp
===================================================================
--- src/UIElements/Menu/SubMenuItem.cpp	(revision 77b2d7c74ef5d3d1f96600b9768c905b445340ac)
+++ src/UIElements/Menu/SubMenuItem.cpp	(revision e6317b4b368fa20de1aaa2983bd1421caecd6287)
@@ -5,4 +5,6 @@
  *      Author: crueger
  */
+
+#include "Helpers/MemDebug.hpp"
 
 #include "SubMenuItem.hpp"
Index: src/UIElements/Menu/TextMenu.cpp
===================================================================
--- src/UIElements/Menu/TextMenu.cpp	(revision 77b2d7c74ef5d3d1f96600b9768c905b445340ac)
+++ src/UIElements/Menu/TextMenu.cpp	(revision e6317b4b368fa20de1aaa2983bd1421caecd6287)
@@ -5,4 +5,6 @@
  *      Author: crueger
  */
+
+#include "Helpers/MemDebug.hpp"
 
 #include <boost/bind.hpp>
Index: src/UIElements/TextUI/TextDialog.cpp
===================================================================
--- src/UIElements/TextUI/TextDialog.cpp	(revision 77b2d7c74ef5d3d1f96600b9768c905b445340ac)
+++ src/UIElements/TextUI/TextDialog.cpp	(revision e6317b4b368fa20de1aaa2983bd1421caecd6287)
@@ -5,4 +5,6 @@
  *      Author: crueger
  */
+
+#include "Helpers/MemDebug.hpp"
 
 #include <iostream>
Index: src/UIElements/TextUI/TextStatusIndicator.cpp
===================================================================
--- src/UIElements/TextUI/TextStatusIndicator.cpp	(revision 77b2d7c74ef5d3d1f96600b9768c905b445340ac)
+++ src/UIElements/TextUI/TextStatusIndicator.cpp	(revision e6317b4b368fa20de1aaa2983bd1421caecd6287)
@@ -5,4 +5,6 @@
  *      Author: crueger
  */
+
+#include "Helpers/MemDebug.hpp"
 
 #include "TextUI/TextStatusIndicator.hpp"
@@ -14,5 +16,6 @@
 using namespace std;
 
-TextStatusIndicator::TextStatusIndicator()
+TextStatusIndicator::TextStatusIndicator() :
+  Observer("TextStatusIndicator")
 {
   Process::AddObserver(this);
Index: src/UIElements/TextUI/TextUIFactory.cpp
===================================================================
--- src/UIElements/TextUI/TextUIFactory.cpp	(revision 77b2d7c74ef5d3d1f96600b9768c905b445340ac)
+++ src/UIElements/TextUI/TextUIFactory.cpp	(revision e6317b4b368fa20de1aaa2983bd1421caecd6287)
@@ -5,4 +5,6 @@
  *      Author: crueger
  */
+
+#include "Helpers/MemDebug.hpp"
 
 #include "TextUI/TextUIFactory.hpp"
Index: src/UIElements/TextUI/TextWindow.cpp
===================================================================
--- src/UIElements/TextUI/TextWindow.cpp	(revision 77b2d7c74ef5d3d1f96600b9768c905b445340ac)
+++ src/UIElements/TextUI/TextWindow.cpp	(revision e6317b4b368fa20de1aaa2983bd1421caecd6287)
@@ -5,4 +5,6 @@
  *      Author: crueger
  */
+
+#include "Helpers/MemDebug.hpp"
 
 #include "TextUI/TextWindow.hpp"
Index: src/UIElements/UIFactory.cpp
===================================================================
--- src/UIElements/UIFactory.cpp	(revision 77b2d7c74ef5d3d1f96600b9768c905b445340ac)
+++ src/UIElements/UIFactory.cpp	(revision e6317b4b368fa20de1aaa2983bd1421caecd6287)
@@ -6,4 +6,5 @@
  */
 
+#include "Helpers/MemDebug.hpp"
 
 #include <cassert>
Index: src/UIElements/Views/MethodStringView.cpp
===================================================================
--- src/UIElements/Views/MethodStringView.cpp	(revision 77b2d7c74ef5d3d1f96600b9768c905b445340ac)
+++ src/UIElements/Views/MethodStringView.cpp	(revision e6317b4b368fa20de1aaa2983bd1421caecd6287)
@@ -5,4 +5,6 @@
  *      Author: crueger
  */
+
+#include "Helpers/MemDebug.hpp"
 
 #include "MethodStringView.hpp"
Index: src/UIElements/Views/StreamStringView.cpp
===================================================================
--- src/UIElements/Views/StreamStringView.cpp	(revision 77b2d7c74ef5d3d1f96600b9768c905b445340ac)
+++ src/UIElements/Views/StreamStringView.cpp	(revision e6317b4b368fa20de1aaa2983bd1421caecd6287)
@@ -5,4 +5,6 @@
  *      Author: crueger
  */
+
+#include "Helpers/MemDebug.hpp"
 
 #include <sstream>
Index: src/UIElements/Views/StringView.cpp
===================================================================
--- src/UIElements/Views/StringView.cpp	(revision 77b2d7c74ef5d3d1f96600b9768c905b445340ac)
+++ src/UIElements/Views/StringView.cpp	(revision e6317b4b368fa20de1aaa2983bd1421caecd6287)
@@ -5,4 +5,6 @@
  *      Author: crueger
  */
+
+#include "Helpers/MemDebug.hpp"
 
 #include "StringView.hpp"
Index: src/UIElements/Views/View.cpp
===================================================================
--- src/UIElements/Views/View.cpp	(revision 77b2d7c74ef5d3d1f96600b9768c905b445340ac)
+++ src/UIElements/Views/View.cpp	(revision e6317b4b368fa20de1aaa2983bd1421caecd6287)
@@ -5,4 +5,6 @@
  *      Author: crueger
  */
+
+#include "Helpers/MemDebug.hpp"
 
 #include "View.hpp"
